<?php

namespace Litecms\Service\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ServiceTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Service\Models\Service $service)
    {
        return [
            'id'                => $service->getRouteKey(),
            'key'               => [
                'public'    => $service->getPublicKey(),
                'route'     => $service->getRouteKey(),
            ], 
            'id'                => $service->id,
            'title'             => $service->title,
            'description'       => $service->description,
            'images'            => $service->images,
            'image'             => $service->image,
            'slug'              => $service->slug,
            'status'            => $service->status,
            'user_id'           => $service->user_id,
            'user_type'         => $service->user_type,
            'team_id'           => $service->team_id,
            'upload_folder'     => $service->upload_folder,
            'deleted_at'        => $service->deleted_at,
            'created_at'        => $service->created_at,
            'updated_at'        => $service->updated_at,
            'url'               => [
                'public'    => trans_url('service/'.$service->getPublicKey()),
                'user'      => guard_url('service/service/'.$service->getRouteKey()),
            ], 
            'status'            => trans('app.'.$service->status),
            'created_at'        => format_date($service->created_at),
            'updated_at'        => format_date($service->updated_at),
        ];
    }
}